Subject: RE: Mobile install
From: Dario Alcocer <[email-masked]>
To: "Alex Malinovich" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 2 Sep 2001 11:59:30 -0700

>>>>> "Alex" == Alex Malinovich <[email-masked]> writes:

    Alex> If I run setup.exe and ONLY install Perl, GCC, and bash,
    Alex> will Perl and GCC still work? Or do they have any
    Alex> dependencies on some of the other packages? (since I have to
    Alex> keep the total install size as small as possible.)

I suspect you'll want a few more packages, like the following:

    fileutils (cp, rm, mv, ls)
    gzip (for handling compressed files)
    man (in case you want to refer to your Perl man pages)
    sh-utils (pwd, tee, env)
    textutils (cat, sort, tr, tail)
    vim (for editing your Perl and C/C++ files)

Also, you'll probably want to get GNU Make too (it's in the make
package.)  Looking at the uncompressed file requirements for this, you
get the following:

    Perl     : 30MB
    GCC      : 12MB
    bash     :  2MB
    fileutils:  2MB
    gzip     : .5MB  
    man      : .1MB
    sh-utils : .5MB
    textutils:  2MB
    vim      :  5MB

    TOTAL    : 54MB

So, you should be able to put all of these on a Zip disk, and still
have plenty of space to keep your source files too.  Go ahead and try
this out, and let me know if it in fact works.  If it does, I'm
prepared to write a "how-to" and post it the list or put it on my web
site so that others can benefit.

-- 
Dario Alcocer -- Sr. Software Developer, Helix Digital Inc.
[email-masked] -- http://www.helixdigital.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/